> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.get

> Get a track info from our database: title, artist, ISRC(s), 'instrumental' flag.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["basic"]} />

At least one of the query parameters must be indicated: **commontrack\_id**, **track\_isrc**, **track\_spotify\_id** or **track\_itunes\_id**.


## OpenAPI

````yaml get /ws/1.1/track.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.get:
    get:
      tags:
        - Track
      summary: track.get
      description: >-
        Get a track info from our database: title, artist, ISRC(s),
        'instrumental' flag.
      operationId: trackGet
      parameters:
        - name: commontrack_id
          in: query
          schema:
            type: string
            example: '5920049'
          description: A Musixmatch commontrack ID.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUM70905526
          description: A valid ISRC identifier.
        - name: track_spotify_id
          in: query
          schema:
            type: string
            example: 5TfzrLmEHCDULQwnNbkSTZ
          description: A Spotify ID.
        - name: track_itunes_id
          in: query
          schema:
            type: string
            example: '1721054885'
          description: An Apple Music ID.
      responses:
        '200':
          description: 200 OK / 401 Unauthorized / 404 Not Found
          headers:
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '100'
            Date:
              schema:
                type: string
                example: Tue, 04 Feb 2025 10:02:14 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409624942950'
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.060256004333496'
            x-mxm-header-status:
              schema:
                type: string
                example: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              track:
                                type: object
                                properties:
                                  album_id:
                                    type: number
                                    example: 20915188
                                  album_name:
                                    type: string
                                    example: The Fame Monster (UK Deluxe)
                                  artist_id:
                                    type: number
                                    example: 378462
                                  artist_name:
                                    type: string
                                    example: Lady Gaga
                                  commontrack_id:
                                    type: number
                                    example: 5920049
                                  commontrack_isrcs:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                                        example: USUM70905526
                                      example:
                                        - USUM70905526
                                        - USUM71012484
                                        - USA561015880
                                        - GBJUT0922769
                                        - USUM71009889
                                        - SEYOK1607797
                                    example:
                                      - - USUM70905526
                                        - USUM71012484
                                        - USA561015880
                                        - GBJUT0922769
                                        - USUM71009889
                                        - SEYOK1607797
                                  explicit:
                                    type: number
                                    example: 0
                                  has_lyrics:
                                    type: number
                                    example: 1
                                  has_richsync:
                                    type: number
                                    example: 1
                                  has_subtitles:
                                    type: number
                                    example: 1
                                  instrumental:
                                    type: number
                                    example: 0
                                  num_favourite:
                                    type: number
                                    example: 7227
                                  primary_genres:
                                    type: object
                                    properties:
                                      music_genre_list:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            music_genre:
                                              type: object
                                              properties:
                                                music_genre_id:
                                                  type: number
                                                  example: 7
                                                music_genre_name:
                                                  type: string
                                                  example: Electronic
                                                music_genre_name_extended:
                                                  type: string
                                                  example: Electronic
                                                music_genre_parent_id:
                                                  type: number
                                                  example: 34
                                                music_genre_vanity:
                                                  type: string
                                                  example: Electronic
                                        example:
                                          - music_genre:
                                              music_genre_id: 7
                                              music_genre_name: Electronic
                                              music_genre_name_extended: Electronic
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Electronic
                                          - music_genre:
                                              music_genre_id: 14
                                              music_genre_name: Pop
                                              music_genre_name_extended: Pop
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Pop
                                          - music_genre:
                                              music_genre_id: 17
                                              music_genre_name: Dance
                                              music_genre_name_extended: Dance
                                              music_genre_parent_id: 34
                                              music_genre_vanity: Dance
                                          - music_genre:
                                              music_genre_id: 1205
                                              music_genre_name: Europe
                                              music_genre_name_extended: World / Europe
                                              music_genre_parent_id: 19
                                              music_genre_vanity: World-Europe
                                  restricted:
                                    type: number
                                    example: 0
                                  track_edit_url:
                                    type: string
                                    example: >-
                                      https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                                  track_id:
                                    type: number
                                    example: 84584600
                                  track_isrc:
                                    type: string
                                    example: USUM70905526
                                  track_length:
                                    type: number
                                    example: 274
                                  track_lyrics_translation_status:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        from:
                                          type: string
                                          example: en
                                        perc:
                                          type: number
                                          example: 1
                                        to:
                                          type: string
                                          example: de
                                    example:
                                      - from: en
                                        perc: 1
                                        to: de
                                      - from: en
                                        perc: 1
                                        to: hi
                                      - from: en
                                        perc: 1
                                        to: fi
                                  track_name:
                                    type: string
                                    example: Alejandro
                                  track_rating:
                                    type: number
                                    example: 70
                                  track_share_url:
                                    type: string
                                    example: >-
                                      https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                                  track_spotify_id:
                                    type: string
                                    example: 0iOu4s8w3pE9vbpb1SHXsL
                                  updated_time:
                                    type: string
                                    example: '2020-02-28T14:11:02Z'
                          - type: array
                            items: {}
                            example: []
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.032217025756836
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        track:
                          album_id: 20915188
                          album_name: The Fame Monster (UK Deluxe)
                          artist_id: 378462
                          artist_name: Lady Gaga
                          commontrack_id: 5920049
                          commontrack_isrcs:
                            - - USUM70905526
                              - USUM71012484
                              - USA561015880
                              - GBJUT0922769
                              - USUM71009889
                              - SEYOK1607797
                          explicit: 0
                          has_lyrics: 1
                          has_richsync: 1
                          has_subtitles: 1
                          instrumental: 0
                          num_favourite: 7227
                          primary_genres:
                            music_genre_list:
                              - music_genre:
                                  music_genre_id: 7
                                  music_genre_name: Electronic
                                  music_genre_name_extended: Electronic
                                  music_genre_parent_id: 34
                                  music_genre_vanity: Electronic
                              - music_genre:
                                  music_genre_id: 14
                                  music_genre_name: Pop
                                  music_genre_name_extended: Pop
                                  music_genre_parent_id: 34
                                  music_genre_vanity: Pop
                              - music_genre:
                                  music_genre_id: 17
                                  music_genre_name: Dance
                                  music_genre_name_extended: Dance
                                  music_genre_parent_id: 34
                                  music_genre_vanity: Dance
                              - music_genre:
                                  music_genre_id: 1205
                                  music_genre_name: Europe
                                  music_genre_name_extended: World / Europe
                                  music_genre_parent_id: 19
                                  music_genre_vanity: World-Europe
                          restricted: 0
                          track_edit_url: >-
                            https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                          track_id: 84584600
                          track_isrc: USUM70905526
                          track_length: 274
                          track_lyrics_translation_status:
                            - from: en
                              perc: 1
                              to: de
                            - from: en
                              perc: 1
                              to: hi
                            - from: en
                              perc: 1
                              to: fi
                          track_name: Alejandro
                          track_rating: 70
                          track_share_url: >-
                            https://www.musixmatch.com/lyrics/Lady-Gaga/Alejandro?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950
                          track_spotify_id: 0iOu4s8w3pE9vbpb1SHXsL
                          updated_time: '2020-02-28T14:11:02Z'
                      header:
                        execute_time: 0.032217025756836
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.050049781799316
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.060256004333496
                        status_code: 404
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````